Bug 443163 - Python fails to free(invalid pointer) while compiling nvidia driver upon akmod-nvidia install
Python fails to free(invalid pointer) while compiling nvidia driver upon akmo...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pyxf86config (Show other bugs)
9
i386 Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-18 17:47 EDT by Sergey Kurtsev
Modified: 2009-09-09 07:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:36:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/boot.log (8.71 KB, text/plain)
2009-09-07 23:06 EDT, Mustafa Mehmed
no flags Details

  None (edit)
Description Sergey Kurtsev 2008-04-18 17:47:01 EDT
Description of problem:
When installing kmod-nvidia from livna python traps with error free() "invalid
pointer" probably in attempt of akmod-nvidia to compile driver for the kernel
"Linux toshiba 2.6.25-0.234.rc9.git1.fc9.i686 #1 SMP Tue Apr 15 18:37:15 EDT
2008 i686 i686 i386 GNU/Linux"

# yum install kmod-nvidia
Loaded plugins: fedorakmod, presto, refresh-packagekit
Setting up and reading Presto delta metadata
livna-development                                        | 2.1 kB     00:00    
No Presto metadata available for livna-development
tigro-testing                                            | 1.1 kB     00:00    
No Presto metadata available for tigro-testing
y
rawhide                                                  | 2.4 kB     00:00    
No Presto metadata available for rawhide
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package kmod-nvidia.i686 0:173.08-1.lvn9 set to be updated
--> Processing Dependency: akmod-nvidia = 173.08-1.lvn9 for package: kmod-nvidia
--> Running transaction check
---> Package akmod-nvidia.i686 0:173.08-1.lvn9 set to be updated
--> Processing Dependency: nvidia-kmod-common >= 173.08 for package: akmod-nvidia
--> Running transaction check
---> Package xorg-x11-drv-nvidia.i386 0:173.08-1.lvn9 set to be updated
--> Processing Dependency: xorg-x11-drv-nvidia-libs = 173.08-1.lvn9 for package:
xorg-x11-drv-nvidia
--> Running transaction check
---> Package xorg-x11-drv-nvidia-libs.i386 0:173.08-1.lvn9 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Арх.       Версия           Repository        Size 
=============================================================================
Installing:
 kmod-nvidia             i686       173.08-1.lvn9    livna-development   22 k
Installing for dependencies:
 akmod-nvidia            i686       173.08-1.lvn9    livna-development  4.7 M
 xorg-x11-drv-nvidia     i386       173.08-1.lvn9    livna-development  2.7 M
 xorg-x11-drv-nvidia-libs  i386       173.08-1.lvn9    livna-development  5.5 M

Transaction Summary
=============================================================================
Install      4 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total download size: 13 M
Выполнить [y/N]: Downloading Packages:
Downloading DeltaRPMs:
Rebuilding rpms from deltarpms
(1/4): xorg-x11-drv-nvidia-173.08-1.lvn9.i386.rpm        | 2.7 MB     01:34     
(2/4): xorg-x11-drv-nvidia-libs-173.08-1.lvn9.i386.rpm   | 5.5 MB     07:52     
(3/4): akmod-nvidia-173.08-1.lvn9.i686.rpm               | 4.7 MB     07:08     
(4/4): kmod-nvidia-173.08-1.lvn9.i686.rpm                |  22 kB     00:01     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing: akmod-nvidia                 ######################### [1/4] 
  Installing: kmod-nvidia                  ######################### [2/4] 
  Installing: xorg-x11-drv-nvidia          ######################### [3/4] 
*** glibc detected *** /usr/bin/python: free(): invalid pointer: 0x0013c812 ***
======= Backtrace: =========
/lib/libc.so.6[0x9117e4]
/lib/libc.so.6(cfree+0x96)[0x913846]
/usr/lib/python2.5/site-packages/ixf86configmodule.so[0x136cc7]
/usr/lib/python2.5/site-packages/ixf86configmodule.so[0x1331fb]
/usr/lib/python2.5/site-packages/ixf86configmodule.so[0x12f115]
/usr/lib/libpython2.5.so.1.0[0x336a149]
/usr/lib/libpython2.5.so.1.0(PyDict_SetItem+0x9c)[0x336d24c]
/usr/lib/libpython2.5.so.1.0[0x3343bb0]
/usr/lib/libpython2.5.so.1.0(PyObject_SetAttr+0xb6)[0x3370316]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalFrameEx+0x313e)[0x33bb94e]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalFrameEx+0x6e1f)[0x33bf62f]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalCodeEx+0x695)[0x33bfd75]
/usr/lib/libpython2.5.so.1.0[0x3359f2e]
/usr/lib/libpython2.5.so.1.0(PyObject_Call+0x37)[0x333a0b7]
/usr/lib/libpython2.5.so.1.0[0x3341508]
/usr/lib/libpython2.5.so.1.0(PyObject_Call+0x37)[0x333a0b7]
/usr/lib/libpython2.5.so.1.0(PyEval_CallObjectWithKeywords+0x7c)[0x33b7b4c]
/usr/lib/libpython2.5.so.1.0(PyInstance_New+0x6d)[0x334561d]
/usr/lib/libpython2.5.so.1.0(PyObject_Call+0x37)[0x333a0b7]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalFrameEx+0x1cb6)[0x33ba4c6]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalCodeEx+0x695)[0x33bfd75]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalCode+0x63)[0x33bffd3]
/usr/lib/libpython2.5.so.1.0[0x33db542]
/usr/lib/libpython2.5.so.1.0(PyRun_FileExFlags+0x92)[0x33db602]
/usr/lib/libpython2.5.so.1.0(PyRun_SimpleFileExFlags+0x1bc)[0x33dcd8c]
/usr/lib/libpython2.5.so.1.0(PyRun_AnyFileExFlags+0x7a)[0x33dd4fa]
/usr/lib/libpython2.5.so.1.0(Py_Main+0xc4f)[0x33e73df]
/usr/bin/python(main+0x32)[0x80485d2]
/lib/libc.so.6(__libc_start_main+0xe6)[0x8ba5d6]
/usr/bin/python[0x8048501]
======= Memory map: ========
00110000-00111000 r-xp 00110000 00:00 0          [vdso]
00111000-00115000 r-xp 00000000 fd:00 83195     
/usr/lib/python2.5/lib-dynload/stropmodule.so
00115000-00117000 rw-p 00004000 fd:00 83195     
/usr/lib/python2.5/lib-dynload/stropmodule.so
00117000-0011a000 r-xp 00000000 fd:00 83154     
/usr/lib/python2.5/lib-dynload/_localemodule.so
0011a000-0011b000 rw-p 00003000 fd:00 83154     
/usr/lib/python2.5/lib-dynload/_localemodule.so
0011b000-00121000 r-xp 00000000 fd:00 83186     
/usr/lib/python2.5/lib-dynload/operator.so
00121000-00122000 rw-p 00006000 fd:00 83186     
/usr/lib/python2.5/lib-dynload/operator.so
00122000-00128000 r-xp 00000000 fd:00 86216     
/usr/lib/python2.5/lib-dynload/_struct.so
00128000-00129000 rw-p 00006000 fd:00 86216     
/usr/lib/python2.5/lib-dynload/_struct.so
00129000-00140000 r-xp 00000000 fd:00 84697     
/usr/lib/python2.5/site-packages/ixf86configmodule.so
00140000-00144000 rw-p 00017000 fd:00 84697     
/usr/lib/python2.5/site-packages/ixf86configmodule.so
002bd000-002ca000 r-xp 00000000 fd:00 1753102    /lib/libgcc_s-4.3.0-20080416.so.1
002ca000-002cb000 rw-p 0000c000 fd:00 1753102    /lib/libgcc_s-4.3.0-20080416.so.1
00850000-00852000 r-xp 00000000 fd:00 1753227    /lib/libutil-2.8.so
00852000-00853000 r--p 00001000 fd:00 1753227    /lib/libutil-2.8.so
00853000-00854000 rw-p 00002000 fd:00 1753227    /lib/libutil-2.8.so
00880000-0089c000 r-xp 00000000 fd:00 1753089    /lib/ld-2.8.so
0089c000-0089d000 r--p 0001c000 fd:00 1753089    /lib/ld-2.8.so
0089d000-0089e000 rw-p 0001d000 fd:00 1753089    /lib/ld-2.8.so
008a4000-00a07000 r-xp 00000000 fd:00 1753090    /lib/libc-2.8.so
00a07000-00a09000 r--p 00163000 fd:00 1753090    /lib/libc-2.8.so
00a09000-00a0a000 rw-p 00165000 fd:00 1753090    /lib/libc-2.8.so
00a0a000-00a0d000 rw-p 00a0a000 00:00 0 
00a0f000-00a12000 r-xp 00000000 fd:00 1753092    /lib/libdl-2.8.so
00a12000-00a13000 r--p 00002000 fd:00 1753092    /lib/libdl-2.8.so
00a13000-00a14000 rw-p 00003000 fd:00 1753092    /lib/libdl-2.8.so
00a16000-00a30000 r-xp 00000000 fd:00 1753094    /lib/libselinux.so.1
00a30000-00a31000 r--p 00019000 fd:00 1753094    /lib/libselinux.so.1
00a31000-00a32000 rw-p 0001a000 fd:00 1753094    /lib/libselinux.so.1
00a34000-00a5b000 r-xp 00000000 fd:00 1753091    /lib/libm-2.8.so
00a5b000-00a5c000 r--p /var/tmp/rpm-tmp.45018: line 9:  4304 Аварийный останов 
       /usr/sbin/nvidia-config-display enable >&/dev/null
*** glibc detected *** /usr/bin/python: free(): invalid pointer: 0x0013c812 ***
======= Backtrace: =========
/lib/libc.so.6[0x9117e4]
/lib/libc.so.6(cfree+0x96)[0x913846]
/usr/lib/python2.5/site-packages/ixf86configmodule.so[0x136cc7]
/usr/lib/python2.5/site-packages/ixf86configmodule.so[0x1331fb]
/usr/lib/python2.5/site-packages/ixf86configmodule.so[0x12f115]
/usr/lib/libpython2.5.so.1.0[0x336a149]
/usr/lib/libpython2.5.so.1.0(PyDict_SetItem+0x9c)[0x336d24c]
/usr/lib/libpython2.5.so.1.0[0x3343bb0]
/usr/lib/libpython2.5.so.1.0(PyObject_SetAttr+0xb6)[0x3370316]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalFrameEx+0x313e)[0x33bb94e]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalFrameEx+0x6e1f)[0x33bf62f]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalCodeEx+0x695)[0x33bfd75]
/usr/lib/libpython2.5.so.1.0[0x3359f2e]
/usr/lib/libpython2.5.so.1.0(PyObject_Call+0x37)[0x333a0b7]
/usr/lib/libpython2.5.so.1.0[0x3341508]
/usr/lib/libpython2.5.so.1.0(PyObject_Call+0x37)[0x333a0b7]
/usr/lib/libpython2.5.so.1.0(PyEval_CallObjectWithKeywords+0x7c)[0x33b7b4c]
/usr/lib/libpython2.5.so.1.0(PyInstance_New+0x6d)[0x334561d]
/usr/lib/libpython2.5.so.1.0(PyObject_Call+0x37)[0x333a0b7]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalFrameEx+0x1cb6)[0x33ba4c6]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalCodeEx+0x695)[0x33bfd75]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalCode+0x63)[0x33bffd3]
/usr/lib/libpython2.5.so.1.0[0x33db542]
/usr/lib/libpython2.5.so.1.0(PyRun_FileExFlags+0x92)[0x33db602]
/usr/lib/libpython2.5.so.1.0(PyRun_SimpleFileExFlags+0x1bc)[0x33dcd8c]
/usr/lib/libpython2.5.so.1.0(PyRun_AnyFileExFlags+0x7a)[0x33dd4fa]
/usr/lib/libpython2.5.so.1.0(Py_Main+0xc4f)[0x33e73df]
/usr/bin/python(main+0x32)[0x80485d2]
/lib/libc.so.6(__libc_start_main+0xe6)[0x8ba5d6]
/usr/bin/python[0x8048501]
======= Memory map: ========
00110000-00111000 r-xp 00110000 00:00 0          [vdso]
00111000-00115000 r-xp 00000000 fd:00 83195     
/usr/lib/python2.5/lib-dynload/stropmodule.so
00115000-00117000 rw-p 00004000 fd:00 83195     
/usr/lib/python2.5/lib-dynload/stropmodule.so
00117000-0011a000 r-xp 00000000 fd:00 83154     
/usr/lib/python2.5/lib-dynload/_localemodule.so
0011a000-0011b000 rw-p 00003000 fd:00 83154     
/usr/lib/python2.5/lib-dynload/_localemodule.so
0011b000-00121000 r-xp 00000000 fd:00 83186     
/usr/lib/python2.5/lib-dynload/operator.so
00121000-00122000 rw-p 00006000 fd:00 83186     
/usr/lib/python2.5/lib-dynload/operator.so
00122000-00128000 r-xp 00000000 fd:00 86216     
/usr/lib/python2.5/lib-dynload/_struct.so
00128000-00129000 rw-p 00006000 fd:00 86216     
/usr/lib/python2.5/lib-dynload/_struct.so
00129000-00140000 r-xp 00000000 fd:00 84697     
/usr/lib/python2.5/site-packages/ixf86configmodule.so
00140000-00144000 rw-p 00017000 fd:00 84697     
/usr/lib/python2.5/site-packages/ixf86configmodule.so
002bd000-002ca000 r-xp 00000000 fd:00 1753102    /lib/libgcc_s-4.3.0-20080416.so.1
002ca000-002cb000 rw-p 0000c000 fd:00 1753102    /lib/libgcc_s-4.3.0-20080416.so.1
00850000-00852000 r-xp 00000000 fd:00 1753227    /lib/libutil-2.8.so
00852000-00853000 r--p 00001000 fd:00 1753227    /lib/libutil-2.8.so
00853000-00854000 rw-p 00002000 fd:00 1753227    /lib/libutil-2.8.so
00880000-0089c000 r-xp 00000000 fd:00 1753089    /lib/ld-2.8.so
0089c000-0089d000 r--p 0001c000 fd:00 1753089    /lib/ld-2.8.so
0089d000-0089e000 rw-p 0001d000 fd:00 1753089    /lib/ld-2.8.so
008a4000-00a07000 r-xp 00000000 fd:00 1753090    /lib/libc-2.8.so
00a07000-00a09000 r--p 00163000 fd:00 1753090    /lib/libc-2.8.so
00a09000-00a0a000 rw-p 00165000 fd:00 1753090    /lib/libc-2.8.so
00a0a000-00a0d000 rw-p 00a0a000 00:00 0 
00a0f000-00a12000 r-xp 00000000 fd:00 1753092    /lib/libdl-2.8.so
00a12000-00a13000 r--p 00002000 fd:00 1753092    /lib/libdl-2.8.so
00a13000-00a14000 rw-p 00003000 fd:00 1753092    /lib/libdl-2.8.so
00a16000-00a30000 r-xp 00000000 fd:00 1753094    /lib/libselinux.so.1
00a30000-00a31000 r--p 00019000 fd:00 1753094    /lib/libselinux.so.1
00a31000-00a32000 rw-p 0001a000 fd:00 1753094    /lib/libselinux.so.1
  Installing: xorg-x11-drv-nvidia-libs     ######################### [4/4] 

Installed: kmod-nvidia.i686 0:173.08-1.lvn9
Dependency Installed: akmod-nvidia.i686 0:173.08-1.lvn9 xorg-x11-drv-nvidia.i386
0:173.08-1.lvn9 xorg-x11-drv-nvidia-libs.i386 0:173.08-1.lvn9
Complete!


Version-Release number of selected component (if applicable):
See yum log above

How reproducible:
Permanently (on Toshiba Qosmio G20 laptop)

Steps to Reproduce:
1. yum install kmod-nvidia
2. Wait until it fails
Comment 2 Adam Jackson 2008-04-21 15:43:42 EDT
What version of pyxf86config is this with?
Comment 3 Sergey Kurtsev 2008-04-21 16:42:48 EDT
Installed Packages
Name       : pyxf86config
Arch       : i386
Version    : 0.3.37
Release    : 1.fc9
Size       : 141 k
Comment 4 Bug Zapper 2008-05-14 05:41:18 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-06-09 20:16:10 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 13:36:24 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Mustafa Mehmed 2009-09-07 23:05:25 EDT
I am running F11 and have a similar problem. I have used both pre-compiled (rpmfusion-nonfree) and locally compiled nvidia modules and get the same result. The video driver works, but /etc/rc.d/init.d/functions fails at every boot. See attached boot.log file

kernel : - Linux hp-laptop 2.6.30.5-43.fc11.i686.PAE #1 SMP Thu Aug 27 21:34:36 EDT 2009 i686 i686 i386 GNU/Linux
Comment 8 Mustafa Mehmed 2009-09-07 23:06:41 EDT
Created attachment 360033 [details]
/var/log/boot.log

/var/log/boot.log file
Comment 9 Matěj Cepl 2009-09-09 04:27:36 EDT
(In reply to comment #7)
> I am running F11 and have a similar problem. I have used both pre-compiled
> (rpmfusion-nonfree) and locally compiled nvidia modules and get the same
> result. The video driver works, but /etc/rc.d/init.d/functions fails at every
> boot. See attached boot.log file
> 
> kernel : - Linux hp-laptop 2.6.30.5-43.fc11.i686.PAE #1 SMP Thu Aug 27 21:34:36
> EDT 2009 i686 i686 i386 GNU/Linux  

Shouldn't you file this bug in bugzilla for the distributor where you get your software from? There is no kmod-nvidia in the official Fedora.
Comment 10 Mustafa Mehmed 2009-09-09 07:24:56 EDT
(In reply to comment #9)
> (In reply to comment #7)
> > I am running F11 and have a similar problem. I have used both pre-compiled
> > (rpmfusion-nonfree) and locally compiled nvidia modules and get the same
> > result. The video driver works, but /etc/rc.d/init.d/functions fails at every
> > boot. See attached boot.log file
> > 
> > kernel : - Linux hp-laptop 2.6.30.5-43.fc11.i686.PAE #1 SMP Thu Aug 27 21:34:36
> > EDT 2009 i686 i686 i386 GNU/Linux  
> 
> Shouldn't you file this bug in bugzilla for the distributor where you get your
> software from? There is no kmod-nvidia in the official Fedora.  

I assume you mean in bugzilla.rpmfusion.org ? I will do that now.

Note You need to log in before you can comment on or make changes to this bug.